#if defined(SDK_31)
#  include <Pilot.h>
#  include <NewFloatMgr.h>
#  include <ScrDriverNew.h>
#else /* SDK 3.5 and later */
#  include <PalmOS.h>
#endif /* SDK versions */

#include "MathLib.h"

#ifdef __GNUC__
#include "callback.h"
#endif

#include <Window.h>

extern RGBColorType black;
extern RGBColorType white;

#define XWinSize 160
#define YWinSize 160

extern double GetTimeZoneOffset();
static double TimeZone = -7;           // default to PDT
static double TZadjustment;

Err StartApp(const Word mainForm);
Err StopApp(void);
void AppLoop(void);

extern Boolean HandleEvent(EventPtr event);
extern void FatalError(char* s);
extern double PalmTimeToJulian(unsigned long int sec);
extern unsigned long JulianToPalmTime(double julian);

