/*
 * shared.c
 * Routines shared between platforms and astro apps.
 *
 * Copyright 2002 by Akkana Peck.
 * You may use or modify this code under the Gnu Public License.
 */

#include "shallow.h"

void DateLabel(int x, int y, double jd)
{
    int len;
    char* s;

    // note the date
    s = JulianToString(jd);
    len = StrLen(s);
    if (s[len-1] == '\n')
        s[--len] = '\0';
    DrawString(x, y, s, len);
}

void Message(char* s)
{
    DrawString(5, 17, s, StrLen(s));
}

