/*
 * xgrfx.h
 * Declaration of some common globals available in xgrfx.c.
 *
 * Copyright 2002 by Akkana Peck.
 * You are free to use or modify this code under the Gnu Public License.
 */

/* This expects to have shallow.h included first (for RGBColorType) */

#include <X11/Xlib.h>

extern int XWinSize;
extern int YWinSize;
extern double Scale;

extern Display *display;
extern int screen;
extern Window win;
extern GC gc;

extern RGBColorType white, black;

extern int flipNS, flipEW;

extern int HandleEvent();
